import { scaleOrdinal } from 'd3';

const colorscale = scaleOrdinal()
	.domain(['apple','lemon'])
  .range(['red','yellow']);

const radiusscale = scaleOrdinal()
	.domain(['apple','lemon'])
  .range([50,30]);

const xposition = (d, i)=> i * 120 + 60;

export const fruitbowl = (selection,props) => {
  	const { fruits, height, onClick,selectedfruits} = props;
		const circles = selection.selectAll('circle')
      .data(fruits, d => d.id);//D3 data join is the update selection
    circles
			.enter().append('circle')
  			.attr('cx', xposition)
				.attr('cy', height/2)
  			.attr('r',0)
      .merge(circles)//merge update
				.attr('fill',d => colorscale(d.type))
  			.attr('stroke-width',5)
  			.attr('stroke', d => d.id === selectedfruits
        	? 'black'
          : 'none'
            	)
  			.on('click',d => onClick(d.id))//add click listeners
    	
  		.transition().duration(1000)
				.attr('cx', xposition)
				.attr('r',d => radiusscale(d.type));
   	circles.exit()
      .transition().duration(1000)
				.attr('r',0)
      .remove();
      //circle itself is the update selection
    }